class GoodsPicModel {
  String api;
  Data data;
  List<String> ret;
  String v;

  GoodsPicModel({this.api, this.data, this.ret, this.v});

  GoodsPicModel.fromJson(Map<String, dynamic> json) {
    api = json['api'];
    data = json['data'] != null ? new Data.fromJson(json['data']) : null;
    ret = json['ret'].cast<String>();
    v = json['v'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['api'] = this.api;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    data['ret'] = this.ret;
    data['v'] = this.v;
    return data;
  }
}

class Data {
  List<String> pages;
  List<String> images;

  Data({this.pages, this.images});

  Data.fromJson(Map<String, dynamic> json) {
    pages = json['pages'].cast<String>();
    images = json['images'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['pages'] = this.pages;
    data['images'] = this.images;
    return data;
  }
}